<?php
switch ($this->order->getOrderLang()) {
    case 'cz':
        $str_invoice = "Faktura č. ";
        $str_supplier = "Dodavatel: ";
        $str_buyer = "Odběratel: ";
        $str_ico = "IČ:";
        $str_dic = "DiČ";
        $str_listed = "Pivovarský klub, s.r.o zapsán v obchodním rejstříku vedeném Městským soudem v Praze, oddil “C”, vložka 190710";
        $str_date1 = "Datum vystavení: ";
        $str_date2 = "Datum zdanit. plnění: ";
        $str_date3 = "Splatnost: ";
        $str_paytype = "Způsob platby: ";
        $str_transfer1 = "před dodáním bezhotovostně";
        $str_transfer2 = "převodem";
        $str_transport = "Doprava: ";
        $str_paypal = "Paypal účet: ";
        $str_orderID = "Číslo objednávky.:";
        $str_phone = "Tel.: ";
        $str_product = "Produkt";
        $str_items = "Počet";
        $str_price1 = "Cena&nbsp;bez&nbsp;DPH ";
        $str_price2 = "Cena&nbsp;s&nbsp;DPH ";
        $str_price3 = "Cena&nbsp;za&nbsp;kus";
        $str_shipping = "Doprava ";
        $str_code = "Kód";
        $str_total = "Celkem: ";
        $str_vat1 = "DPH";
        $str_vat2 = "DPH&nbsp;%";
        $str_store = "Adresa prodejny: ";
        $str_contact = "Kontaktdaten für Deutschland: ";
        $str_final = "Celkem uhrazeno: ";
        $str_payment = "Platba/dobírka";
        break;
    default:
        $str_invoice = "Invoice no. ";
        $str_supplier = "Supplier: ";
        $str_buyer = "Buyer: ";
        $str_ico = "ID No. (IČ): ";
        $str_dic = "Tax No.: ";
        $str_listed = "Czech Republic, entered into the Commercial Register of the Municipal Court in Prague, Section C, insert 190710.";
        $str_date1 = "Day of Issue: ";
        $str_date2 = "Subject of taxation day: ";
        $str_date3 = "Due day: ";
        $str_paytype = "Method of payment: ";
        $str_transfer = "In advance";
        $str_paypal = "Paypal account: ";
        $str_transfer1 = "In advance";
        $str_transfer2 = "Transfer";
        $str_transport = "Transport: ";
        $str_orderID = "Order ID: ";
        $str_phone = "Phone: ";
        $str_product = "product";
        $str_items = "number of items";
        $str_price1 = "price without VAT ";
        $str_price2 = "price including VAT ";
        $str_price3 = "price (per item): ";
        $str_shipping = "Shipping ";
        $str_code = "product code: ";
        $str_total = "total: ";
        $str_vat1 = "VAT";
        $str_vat2 = "VAT %";
        $str_store = "Shop adress: ";
        $str_contact = "Contact for Germany: ";
        $str_final = "Total: ";
        $str_payment = "Payment/Cash on delivery";
}
?>
<html>
    <head>
        <link href='http://fonts.googleapis.com/css?family=Roboto+Slab&subset=latin,latin-ext' rel='stylesheet' type='text/css'>
        <link rel="stylesheet" href="/css/standard.css" rel="stylesheet" type="text/css">
        <link rel="stylesheet" href="/css/invoice.css" rel="stylesheet" type="text/css">
        <meta http-equiv="Content-type" content="text/html;charset=utf-8" />
    </head>
    <body style='background-color: #fff'>
        <div id="centerpiece">
            <?php /*
            echo "<pre>";
            var_dump($this->order);
            echo "</pre>"; */
            ?>
            <div class='headline'><div><?= $str_invoice . $this->order->invoice_number; ?></div></div>
            <hr/>
            <table border=0 cellspacing=0 cellpadding=0 class='invoice'>
                <tr style='border-left: 1px solid black; border-right: 1px solid black;'>
                    <td width="50%" style="vertical-align: middle">
                        <div class='dodavatel'>
                            <?= $str_supplier ?><br /><br />
                            <div>                                
                                Pivovarský klub, s. r. o.<br />
                                <?= $str_ico ?> 2422927 <br />
                                <?= $str_dic ?> CZ24229270<br />
                                Křižíkova 17°<br />
                                Praha 8 - Karlín<br />
                                180 00<br /><br />
                                <?= $str_phone ?>+420 222 315 777<br />
                                E-mail: pivoklub@iol.cz<br />
                                Bankovní spojení: 2900675408 / 2010<br />
                                Jako variabilní symbol úvádějte číslo faktury<br />
                                http://www.pivovarskyklub.com<br /><br />
                                <?= $str_listed ?>
                            </div>
                        </div>
                    </td>
                    <td width="50%">
                        <div class='odberatel'>
                            <?= $str_buyer ?><br /><br />
                            <div>
                                <?= $this->order->getFullName() ?><br />
                                <?= $this->order->getAddress() ?><br />
                                <?= $this->order->getCity() ?><br />
                                <?= $this->order->getZIP() ?><br />
                                <?= $this->order->getCountryName() ?><br><br />
                                <?= $str_phone ?><?= $this->order->getPhone() ?><br />
                                E-mail: <?= $this->order->getEmail() ?><br />
                            </div>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td colspan=2>
                        <hr/>
                    </td>
                </tr>
                <tr>
                    <td>
                        <div class=white>
                            <table width=100% border=0 cellspacing=1 cellpadding=0>
                                <tr><td><?= $str_date1 ?></td><td><?= $this->order->getOrderDate(); ?></td></tr>
                                <tr><td><?= $str_date2 ?></td><td><?= $this->order->getOrderDate(); ?></td></tr>
                                <tr><td><?= $str_date3 ?></td><td><?= $this->order->getDueDate(); ?></td></tr>
                                <tr><td><?= $str_paytype ?></td><td><?= $this->order->getPaymentTitle(); ?></td></tr>
                                <tr><td><?= $str_transport ?></td><td><?= $this->order->getShippingTitle(); ?></td></tr>
                                <tr><td><?= $str_orderID ?></td><td><?= $this->order->getOrderId() ?></td></tr>
                            </table>
                        </div>
                    </td>
                    <td>
                        &nbsp;
                    </td>
                </tr>
            </table>

            <table border=0 cellspacing=0 class='invoice' style='margin-top: 30px;'>
                <tr>
                    <th class='left'><?= $str_code ?></th>
                    <th class='left'><?= $str_product ?></th>
                    <th class='right'><?= $str_price3 ?></th>
                    <th class='center'><?= $str_items ?></th>
                    <th class='right'><?= $str_price1 ?></th>
                    <th class='right'><?= $str_vat2 ?></th>
                    <th class='right'><?= $str_price2 ?></th>
                </tr>
                <?php foreach ($this->order->getOrderProducts() as $product) { ?>
                <tr>
                    <td><?= $product->getProductId(); ?></td>
                    <td><?= $product->getTitle(); ?></td>
                    <td class='right'><?= $this->currency->toCurrency($product->getPriceForUnitNoVAT()) ?></td>
                    <td class='center'><?= $product->getQuantity() ?></td>
                    <td class='right'><?= $this->currency->toCurrency($product->getTotalPriceNoVAT()) ?></td>
                    <td class='right'><?= $product->getVAT() ?>%</td>
                    <td class='right'><?= $this->currency->toCurrency($product->getTotalPrice()) ?></td>
                </tr>
                <?php } 
                if ($this->order->getShippingPrice() > 0) {
                ?>
                <tr>
                    <td></td>
                    <td style='text-align: left;'><?= $str_shipping ?></td>
                    <td class='right'><?= $this->currency->toCurrency($this->order->getShippingPriceNoVAT()) ?></td>
                    <td class='center'><?= $this->order->getDeliveryCount() ?></td>
                    <td class='right'><?= $this->currency->toCurrency($this->order->getShippingTotalNoVAT()) ?></td>
                    <td class='right'><?= $this->order->getVAT() ?>%</td>
                    <td class='right'><?= $this->currency->toCurrency($this->order->getShippingTotal()) ?></td>
                </tr>
                <?php } 
                if ($this->order->getPaymentPrice() > 0) {
                ?>
                <tr>
                    <td></td>
                    <td style='text-align: left;'><?= $str_payment ?></td>
                    <td class='right'><?= $this->currency->toCurrency($this->order->getPaymentPriceNoVAT()) ?></td>
                    <td class='center'><?= $this->order->getPaymentCount() ?></td>
                    <td class='right'><?= $this->currency->toCurrency($this->order->getPaymentTotalNoVAT()) ?></td>
                    <td class='right'><?= $this->order->getVAT() ?>%</td>
                    <td class='right'><?= $this->currency->toCurrency($this->order->getPaymentTotal()) ?></td>
                </tr>
                <?php } ?>
                <tr>
                    <td colspan='7'>
                        <hr style='border: 1px solid black'/>
                    </td>
                </tr>
                <tr>
                    <td></td>
                    <td><?= $str_total ?></td>
                    <td></td>
                    <td></td>
                    <td class='right'><?= $this->currency->toCurrency($this->order->getOrderTotalNoVat()) ?></td>
                    <td></td>
                    <td class='right'><?= $this->currency->toCurrency($this->order->getOrderTotal()) ?></td>
                </tr>
            </table>
            <br />
            <br />
            <?php /* if (!$this->tisk) { ?>
              <div class=faktura-tlacitka>
              <form method='GET' target='_blank' action="/admin/orders/print/">
              <input type="hidden" name="orderId" value="<?= $this->orderId ?>">
              <input type='submit' class='button' value="  tisk  ">

              </form>
              </div>
              <?php } */
            if ($this->tisk) {
                ?>
                <script language="Javascript1.2">
                    <!--
                    window.print();
                    //-->
                </script>
<?php } ?>
        </div>    
    </body>
</html>